// Forlix SoScore
// http://forlix.org/, df@forlix.org
//
// Copyright (c) 2008-2011 Dominik Friedrichs


CreateForwards()
{
  /*
  forward ForlixSoScore_OnNoSoccerMap();
                                      */
  h_forward_nosoccermap = CreateGlobalForward("ForlixSoScore_OnNoSoccerMap", ET_Ignore);


  /*
  forward ForlixSoScore_OnEntitiesRead(soccerball_ref,
                                       goaltrig_t_ref,
                                       goaltrig_ct_ref,
                                       const misstrig_t_refs[],
                                       const misstrig_ct_refs[],
                                       Float:field_size);
                                       */
  h_forward_entitiesread = CreateGlobalForward("ForlixSoScore_OnEntitiesRead", ET_Ignore,
                                               Param_Cell,
                                               Param_Cell,
                                               Param_Cell,
                                               Param_Array,
                                               Param_Array,
                                               Param_Float);


  /*
  forward ForlixSoScore_OnBallShot(shooter_userid,
                                   shooter_team);
                                   */
  h_forward_ballshot = CreateGlobalForward("ForlixSoScore_OnBallShot", ET_Ignore,
                                           Param_Cell,
                                           Param_Cell);


  /*
  forward ForlixSoScore_OnBallPassed(passedfrom_userid,
                                     passedto_userid,
                                     team,
                                     Float:distance_normalized,
                                     Float:speed_averaged,
                                     bool:air_shot);
                                     */
  h_forward_ballpassed = CreateGlobalForward("ForlixSoScore_OnBallPassed", ET_Ignore,
                                             Param_Cell,
                                             Param_Cell,
                                             Param_Cell,
                                             Param_Float,
                                             Param_Float,
                                             Param_Cell);


  /*
  forward ForlixSoScore_OnBallTurnedOver(stealer_userid,
                                         stealer_team,
                                         loser_userid,
                                         loser_team,
                                         Float:distance_normalized,
                                         Float:speed_averaged,
                                         bool:air_shot);
                                         */
  h_forward_ballturnedover = CreateGlobalForward("ForlixSoScore_OnBallTurnedOver", ET_Ignore,
                                                 Param_Cell,
                                                 Param_Cell,
                                                 Param_Cell,
                                                 Param_Cell,
                                                 Param_Float,
                                                 Param_Float,
                                                 Param_Cell);


  /*
  forward ForlixSoScore_OnGoalScored(winning_team,
                                     losing_team,
                                     shooter_userid,
                                     assistant_userid,
                                     keeper_userids[],
                                     bool:owngoal,
                                     Float:distance_normalized,
                                     Float:speed_averaged,
                                     bool:air_shot,
                                     Float:time_into_round);
                                     */
  h_forward_goalscored = CreateGlobalForward("ForlixSoScore_OnGoalScored", ET_Ignore,
                                             Param_Cell,
                                             Param_Cell,
                                             Param_Cell,
                                             Param_Cell,
                                             Param_Array,
                                             Param_Cell,
                                             Param_Float,
                                             Param_Float,
                                             Param_Cell,
                                             Param_Float);


  /*
  forward ForlixSoScore_OnGoalMissed(shooter_userid,
                                     shooter_team,
                                     missed_goal,
                                     Float:distance_normalized,
                                     Float:speed_averaged,
                                     bool:air_shot);
                                     */
  h_forward_goalmissed = CreateGlobalForward("ForlixSoScore_OnGoalMissed", ET_Ignore,
                                             Param_Cell,
                                             Param_Cell,
                                             Param_Cell,
                                             Param_Float,
                                             Param_Float,
                                             Param_Cell);


  /*
  forward ForlixSoScore_OnGoalSaved(keeper_userid,
                                    keeper_team,
                                    shooter_userid,
                                    shooter_team,
                                    Float:distance_normalized,
                                    Float:speed_averaged,
                                    bool:air_shot);
                                    */
  h_forward_goalsaved = CreateGlobalForward("ForlixSoScore_OnGoalSaved", ET_Ignore,
                                            Param_Cell,
                                            Param_Cell,
                                            Param_Cell,
                                            Param_Cell,
                                            Param_Float,
                                            Param_Float,
                                            Param_Cell);


  return;
}
